"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x106650360>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1066504a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x106650400>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x106650540>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1066505e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x106650680>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x106650720>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1066507c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106650860>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106650900>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1066509a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x106650a40>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x106650ae0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x106650b80>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x106650c20>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x106650cc0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x106650d60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x106650e00>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x106650ea0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x106650f40>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x106650fe0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x106651080>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x106651120>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1066511c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x106651260>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x106651300>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1066513a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x106651440>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1066514e0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x106651580>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x106651620>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1066516c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x106651760>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x106651800>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1066518a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x106651940>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1066519e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x106651a80>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x106651b20>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x106651bc0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x106651c60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x106651d00>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x106651da0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x106651e40>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x106651ee0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x106651f80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x106652020>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1066520c0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x106652160>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x106652200>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1066522a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x106652340>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1066523e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x106652480>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x106652520>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1066525c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x106652660>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x106652700>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1066527a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x106652840>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1066528e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x106652980>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x106652a20>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x106652ac0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x106652b60>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x106652c00>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x106652ca0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x106652d40>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x106652de0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x106652e80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x106652f20>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x106652fc0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x106653060>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x106653100>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1066531a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x106653240>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1066532e0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x106653380>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x106653420>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x106653560>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1066534c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x106653600>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1066536a0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x106653740>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1066537e0>)]
name: str = 'fr_HOCCN'
